- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
qi::log::HeadFileLogHandler Class Reference

Log the first length lines to a file. . More...

`#include <headfileloghandler.hpp>`

## Public Member Functions
| HeadFileLogHandler (const std::string &filePath, int length=2000)
| Initialize the head file handler on the file. File is opened directly on construction. More...
virtual | ~HeadFileLogHandler ()
| Closes the file. More...
void | log (const qi::LogLevel verb, const qi::Clock::time_point date, const qi::SystemClock::time_point systemDate, const char *category, const char *msg, const char *file, const char *fct, const int line)
| Writes a log message to the file if it is part of the first length lines. More...

## Detailed Description

Log the first length lines to a file. .

This class writes the logs to a file, providing they are part of the first `length` lines.

Definition at line 28 of file headfileloghandler.hpp.

## Constructor & Destructor Documentation

qi::log::HeadFileLogHandler::HeadFileLogHandler | ( | const std::string & | filePath,
|  | int | length = `2000`
| ) |  |

Initialize the head file handler on the file. File is opened directly on construction.

Parameters

  filePath | path to the file.
  length | number of messages that will be written to the file.

    * .. warning::
    *
    *      If the file could not be open, it logs a warning and every log call
    *      will fail silently.
    *

virtual qi::log::HeadFileLogHandler::~HeadFileLogHandler | ( |  | ) |
| virtual

Closes the file.

## Member Function Documentation

void qi::log::HeadFileLogHandler::log | ( | const qi::LogLevel | verb,
|  | const qi::Clock::time_point | date,
|  | const qi::SystemClock::time_point | systemDate,
|  | const char * | category,
|  | const char * | msg,
|  | const char * | file,
|  | const char * | fct,
|  | const int | line
| ) |  |

Writes a log message to the file if it is part of the first length lines.

Parameters

  verb | verbosity of the log message.
  date | qi::Clock date at which the log message was issued.
  date | qi::SystemClock date at which the log message was issued.
  category | will be used in future for filtering
  msg | actual message to log.
  file | filename from which this log message was issued.
  fct | function name from which this log message was issued.
  line | line number in the issuer file.

If the file could not be open, this function will fail silently, otherwise it will directly write the log message to the file and flush its output.

When `length` messages will be written to the file, it will discard all messages.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/log/headfileloghandler.hpp